LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Fedora (http://www.linuxquestions.org/questions/fedora-35/)
-   -   Core 4 - X11-devel complains about X11-libs which are installed (http://www.linuxquestions.org/questions/fedora-35/core-4-x11-devel-complains-about-x11-libs-which-are-installed-359861/)

Ephracis 09-03-2005 12:18 PM

Core 4 - X11-devel complains about X11-libs which are installed
 
I have a fresh Fedora Core 4 and package after package tells me it wants the X11 headers. But for some reason I just can't get them. And I have struggled with Xorg before on my laptop (slackware), from source, so I really want to get the headers from a rpm.

Here's what I do:
Code:

# yum install xorg-x11-devel
Setting up Install Process
Setting up repositories
base                                                            1.1 kB 00:00
Reading repository metadata in from local files
Parsing package install arguments
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package xorg-x11-devel.i386 0:6.8.2-31 set to be updated
--> Running transaction check
--> Processing Dependency: xorg-x11-libs = 6.8.2-31 for package: xorg-x11-devel
--> Processing Dependency: fontconfig-devel >= 2.1 for package: xorg-x11-devel
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package fontconfig-devel.i386 0:2.2.3-13 set to be updated
--> Running transaction check
--> Processing Dependency: freetype-devel >= 2.1.4 for package: fontconfig-devel
--> Processing Dependency: xorg-x11-libs = 6.8.2-31 for package: xorg-x11-devel
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package freetype-devel.i386 0:2.1.9-2 set to be updated
--> Running transaction check
--> Processing Dependency: xorg-x11-libs = 6.8.2-31 for package: xorg-x11-devel
--> Finished Dependency Resolution
Error: Missing Dependency: xorg-x11-libs = 6.8.2-31 is needed by package xorg-x11-devel
# yum info xorg-x11-libs
Setting up repositories
base                      100% |=========================| 1.1 kB    00:00
Reading repository metadata in from local files
Installed Packages
Name  : xorg-x11-libs
Arch  : i386
Version: 6.8.2
Release: 37.FC4.45
Size  : 7.0 M
Repo  : installed
Summary: Shared libraries needed by the X Window System

Description:
 This package contains the shared libraries required for running X
applications.


Available Packages
Name  : xorg-x11-libs
Arch  : i386
Version: 6.8.2
Release: 31
Size  : 2.5 M
Repo  : base
Summary: Shared libraries needed by the X Window System
Description:
 This package contains the shared libraries required for running X
applications.

What should I do?

reddazz 09-04-2005 03:37 AM

Try doing,
Code:

#yum upgrade
#yum install xorg-x11-devel


Ephracis 09-05-2005 09:06 AM

Already tried that and it just told me that no packages was marked for "Update/Obsoletion" and did nothing more.

reddazz 09-05-2005 09:32 AM

Could be a glitch somewhere in the yum mirrors or with rpm. You could download the packages manually from a Fedora update server.


All times are GMT -5. The time now is 06:40 AM.